=== debian/changelog ===
golang-github-twpayne-go-vfs (4.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024485)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 20 Nov 2022 09:56:04 -0500
