=== debian/control ===
Source: golang-github-twpayne-go-vfs
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Ryan Kavanagh <rak@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-twpayne-go-vfs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-twpayne-go-vfs.git
Homepage: https://github.com/twpayne/go-vfs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/twpayne/go-vfs

Package: golang-github-twpayne-go-vfs-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-stretchr-testify-dev,
 ${misc:Depends},
Enhances:
 golang-github-go-git-go-billy-dev,
 golang-github-spf13-afero-dev,
Description: easy-to-test abstraction of the os and io packages
 This library provides:
  * File system abstraction layer for commonly-used os and io functions
    from the standard library.
  * Powerful and easy-to-use declarative testing framework, vfst. You
    declare the desired state of the filesystem after your code has run, and
    vfst tests that the filesystem matches that state.
 It is compatible with afero and go-billy.
